Data Fields

# StringBufRec Struct Reference

## Data Fields
char * | buf
char * | tail
size_t | allocated
size_t | free

## Detailed Description

Definition at line 13 of file stringbuf.c.

## Field Documentation

size_t StringBufRec::allocated

Definition at line 18 of file stringbuf.c.

Referenced by appendStringBufAux(), newStringBuf(), stripTrailingBlanksStringBuf(), and truncStringBuf().

char* StringBufRec::buf

Definition at line 15 of file stringbuf.c.

Referenced by appendStringBufAux(), freeStringBuf(), getStringBuf(), newStringBuf(), and truncStringBuf().

size_t StringBufRec::free

Definition at line 19 of file stringbuf.c.

Referenced by appendStringBufAux(), newStringBuf(), stripTrailingBlanksStringBuf(), and truncStringBuf().

char* StringBufRec::tail

Definition at line 17 of file stringbuf.c.

Referenced by appendStringBufAux(), newStringBuf(), stripTrailingBlanksStringBuf(), and truncStringBuf().

The documentation for this struct was generated from the following file:

- rpmio/stringbuf.c